# Class PickResultMesh

Represents a pick operation where a BabylonJS mesh was picked. Used when a picking operation hit a BabylonJS mesh that does not represent a Twinfinity object such as a Icon or BimIfcObject.

#### Hierarchy (View Summary)

- PickResultBase
  - PickResultMesh

##### Index

### Constructors

constructor

### Properties

hitInfo
id
mesh
type

### Methods

equals

## Constructors

### constructor

- new PickResultMesh(
  o: {
  gpuPickMesh: Mesh;
  id: number;
  mesh: Mesh;
  pickOptions: PickOptionRay;
  },
  ): PickResultMesh

  Constructor

  #### Parameters

  - o: { gpuPickMesh: Mesh; id: number; mesh: Mesh; pickOptions: PickOptionRay }

    Options

    - ##### gpuPickMesh: Mesh

      The internal mesh (clone of `o.mesh`) that was used for the GPU pick operation

    - ##### id: number

      Unique GPU picking id for the hit mesh.

    - ##### mesh: Mesh

      BabylonJS Mesh that was hit by a pick operation

    - ##### pickOptions: PickOptionRay

      The picking ray and related options.

  #### Returns PickResultMesh

  Overrides PickResultBase.constructor

## Properties

### `Readonly` hitInfo

hitInfo: Intersection[] = []

Exact intersections of mesh that the pick operation gave.

Overrides PickResultBase.hitInfo

### `Readonly` id

id: number

Unique GPU picking id for the hit object

Inherited from PickResultBase.id

### `Readonly` mesh

mesh: Mesh

BabylonJS Mesh pick operation yielded.

### type

type: Mesh = PickResultType.Mesh

Discriminant union selector

## Methods

### equals

- equals(pickResult: PickResult): boolean

  Compare two PickResult instances.

  #### Parameters

  - pickResult: PickResult

  #### Returns boolean

  Inherited from PickResultBase.equals